crocket

Member
Mar 27, 2004
7
0
151
How do i solve these errors!! Tried upcp and allsorts with no joy :(

service cpanel restart
Stopping cPanel services: [ OK ]
Stopping pop3 services: [ OK ]
Stopping cPanel log services: [FAILED]
Stopping cPanel Chat services: [ OK ]
Stopping Melange Chat services: [ OK ]
Stopping InterChange services: [FAILED]
Stopping cPanel ssl services: [ OK ]

Stopping mailman services: Traceback (most recent call last):
File "/usr/local/cpanel/3rdparty/mailman/bin/mailmanctl", line 104, in ?
import paths
File "/usr/local/cpanel/3rdparty/mailman/bin/paths.py", line 59, in ?
import korean
ImportError: No module named korean

Starting eximstats: Can't locate DBD/mysql.pm in @INC (@INC contains: /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at /usr/local/cpanel/bin/eximstats line 258.
BEGIN failed--compilation aborted at /usr/local/cpanel/bin/eximstats line 258.
[FAILED]
Starting cPanel services: [ OK ]
Starting cPanel Log services: Can't locate DBD/mysql.pm in @INC (@INC contains: /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.2/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl/5.8.2 /usr/lib/perl5/vendor_perl/5.8.1 /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl . /usr/local/cpanel /usr/local/cpanel/3rdparty/lib/perl) at /usr/local/cpanel/cpanellogd line 44.
BEGIN failed--compilation aborted at /usr/local/cpanel/cpanellogd line 44.
[FAILED]
Starting pop3 services: [ OK ]
Starting cPanel Chat services: [ OK ]
Starting Melange Chat services: [ OK ]
Starting cPanel ssl services: [ OK ]
Starting mailman services: Traceback (most recent call last):
File "/usr/local/cpanel/3rdparty/mailman/bin/mailmanctl", line 104, in ?
import paths
File "/usr/local/cpanel/3rdparty/mailman/bin/paths.py", line 59, in ?
import korean
ImportError: No module named korean


Thanks
 

dalem

Well-Known Member
PartnerNOC
Oct 24, 2003
2,983
159
368
SLC
cPanel Access Level
DataCenter Provider
your Error tells you what is missing

then run /scripts/perlinstaller DBD::mysql

then restart cpanel and see if you have any errors
 

crocket

Member
Mar 27, 2004
7
0
151
Hi,

Erm, how do you install the korean module??

When running the above command at the end i get this:


An error occurred while linking the DBD::mysql driver. The error
message seems to indicate that you don't have a libz.a,
or a libz.so. This is typically resolved by:

1.) You may try to remove the -lz or -lgz flag from the libs list
by using the --libs switch for "perl Makefile.PL".
2.) On Red Hat Linux install libz-devel
3.) On other systems, please contact the mailing list

[email protected]

For further hints, see INSTALL.html, section Linker flags.
make: *** [blib/arch/auto/DBD/mysql/mysql.so] Error 1
/usr/bin/make -- NOT OK
Running make install
make had returned bad status, install seems impossible
perlmod--Install done



=======

If anyone knows how to fix this, im willing to pay to get the problem fixed as i need the server working with cpanel asap!

Email / msn: P(at)tel.vu
 

glucz

Member
Jul 7, 2005
16
0
151
This is probably a rather ignorant solution and assumes that you are not planning to have Korean users.

go to /usr/lib/python2.4/site-packages and duplicate everything japanese as korean . Run /scripts/reinstallmailman and mailmain will now compile and run properly.

GL